# Glib::Value< long > Class Template Reference
[Generic Values]

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< long >:
[legend]

List of all members.

## Public Types
typedef long | CppType
typedef glong | CType
## Public Member Functions
void | set (long data)
long | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< long >

## Member Typedef Documentation

typedef long Glib::Value< long >::CppType

typedef glong Glib::Value< long >::CType

## Member Function Documentation

long Glib::Value< long >::get | ( |  | ) | const

void Glib::Value< long >::set | ( | long | data | ) |

static GType Glib::Value< long >::value_type | ( |  | ) | `[static]`